Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class ProcessInstanceFinder

    java.lang.Object
      org.jboss.seam.core.ProcessInstanceFinder

    @Name(value="org.jboss.seam.core.processInstanceFinder")
    @Install(precedence=0,
             dependencies="org.jboss.seam.core.jbpm")
    public class ProcessInstanceFinder

extends Object

Support for the process list.

Author:
  Gavin King

Constructor Summary
`ProcessInstanceFinder()`

Method Summary
`protected String` | `getNodeName()`
`protected String` | `getProcessDefinitionName()`
`protected Boolean` | `getProcessInstanceEnded()`
`List<org.jbpm.graph.exe.ProcessInstance>` | `getProcessInstanceList()`
`protected Boolean` | `isSortDescending()`
`protected void` | `setNodeName(String nodeName)`
`protected void` | `setProcessDefinitionName(String processDefinitionName)`
`protected void` | `setProcessInstanceEnded(Boolean ended)`
`protected void` | `setSortDescending(Boolean sortDescending)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessInstanceFinder

    public ProcessInstanceFinder()

Method Detail

### getProcessInstanceList

    @Factory(value="org.jboss.seam.core.processInstanceList")
    @Transactional
    public List<org.jbpm.graph.exe.ProcessInstance> getProcessInstanceList()

### getNodeName

    protected String getNodeName()

### setNodeName

    protected void setNodeName(String nodeName)

### getProcessDefinitionName

    protected String getProcessDefinitionName()

### setProcessDefinitionName

    protected void setProcessDefinitionName(String processDefinitionName)

### isSortDescending

    protected Boolean isSortDescending()

### setSortDescending

    protected void setSortDescending(Boolean sortDescending)

### getProcessInstanceEnded

    protected Boolean getProcessInstanceEnded()

### setProcessInstanceEnded

    protected void setProcessInstanceEnded(Boolean ended)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD